﻿USE AdventureWorks2008
GO

/* Build up */

INSERT Person.PersonPhone (BusinessEntityID, PhoneNumber, PhoneNumberTypeID)
VALUES(1, '000-111-222',1)
GO

CREATE SCHEMA U2UConsult
GO

CREATE VIEW U2UConsult.Person WITH SCHEMABINDING
AS
SELECT BusinessEntityID AS PersonId,
	   Title,
       FirstName,
       LastName
  FROM Person.Person
GO

CREATE UNIQUE CLUSTERED INDEX [IUX_Person] 
ON [U2UConsult].[Person]([PersonId]) 
WITH (FILLFACTOR = 100) 
GO

CREATE VIEW U2UConsult.Address WITH SCHEMABINDING
AS
SELECT AddressID AS AddressId,
       AddressLine1,
       AddressLine2,
       PostalCode,
       City
FROM Person.Address
GO

CREATE UNIQUE CLUSTERED INDEX [IUX_Address] 
ON [U2UConsult].[Address]([AddressId]) 
WITH (FILLFACTOR = 100) 
GO

CREATE VIEW U2UConsult.PersonPhone WITH SCHEMABINDING
AS
SELECT DISTINCT BusinessEntityID AS PersonId,
       PhoneNumber
  FROM Person.PersonPhone
GO

CREATE VIEW U2UConsult.PersonAddress WITH SCHEMABINDING
AS
SELECT DISTINCT BusinessEntityID AS PersonId,
       AddressID AS AddressId
FROM Person.BusinessEntityAddress
GO